ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

include ../../../prodroot_pkt.mk
include tgt.mk

LIBS = netdrvrS

NAME = devnp-$(PROJECT)

EXTRA_INCVPATH += $(PDK_INSTALL_PATH)

#CCFLAGS += -DSOC_J721E -DQNX_OS -DENET_CFG_DEV_ERROR=1
CCFLAGS += -DSOC_J721E -DQNX_OS

define PINFO
PINFO DESCRIPTION=j721e cpsw2g driver
endef

#Add extra include path
EXTRA_SRCVPATH+=$(PROJECT_ROOT)/../src

LIBS +=:enetphy.aa72fg
LIBS +=:enetsoc.aa72fg
LIBS +=:enet.aa72fg
LIBS +=:udma_apputils.aa72fg
LIBS +=:udma.aa72fg
LIBS +=:libtiudma-usr.a
LIBS +=:ti.osal.aa72fg
LIBS +=:sciclient.aa72fg
LIBS +=:ti.csl.aa72fg

LDFLAGS += -M -Wl,-znow

include $(MKFILES_ROOT)/qtargets.mk

