ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

define PINFO
PINFO DESCRIPTION=TI Remote Switch Config Client Library
endef

NAME = ti-remoteswitchcfg-client
INSTALLDIR = usr/lib

#Add extra include path
EXTRA_INCVPATH+=$(ETHFW_PATH) $(PDK_INSTALL_PATH) $(REMOTE_DEVICE_PATH)

CCFLAGS += $(COMPILE_FLAGS) -DSOC_J721E -DQNX_OS
CCFLAGS += -fPIC
CCFLAGS += -Wno-unused-function -Wno-switch

EXTRA_SRCVPATH += $(ETHFW_PATH)/ethremotecfg/client/src

include $(MKFILES_ROOT)/qtargets.mk
