export QNX_SDP_VERSION ?= 700
ifeq ($(QNX_SDP_VERSION),700)
  export QNX_BASE ?= /home/$(USER)/qnx700
  export QNX_CROSS_COMPILER_TOOL ?= aarch64-unknown-nto-qnx7.0.0-
else
  export QNX_BASE ?= /home/$(USER)/qnx710
  export QNX_CROSS_COMPILER_TOOL ?= aarch64-unknown-nto-qnx7.1.0-
endif
export PSDK_QNX_PATH ?= $(abspath ..)
export PDK_QNX_PATH ?= $(PSDK_QNX_PATH)/pdk
export QNX_HOST ?= $(QNX_BASE)/host/linux/x86_64
export QNX_TARGET ?= $(QNX_BASE)/target/qnx7
export QNX_FS_PATH ?= $(PSDK_QNX_PATH)/bootfs
export MAKEFLAGS=-I$(QNX_BASE)/target/qnx7/usr/include
export PATH=$(QNX_HOST)/usr/bin:$(shell printenv PATH)
export LINUX_FS_BOOT_PATH ?= $(PSDK_QNX_PATH)/../bootfs
export QNX_ARCH=aarch64le
