ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

include ../../../prodroot_pkt.mk
include tgt.mk

LIBS = netdrvrS

NAME = devnp-$(PROJECT)

EXTRA_INCVPATH += $(REMOTE_DEVICE_PATH) $(ETHFW_PATH) $(PDK_INSTALL_PATH)

#CCFLAGS += -DSOC_J721E -DQNX_OS -DENET_CFG_DEV_ERROR=1
CCFLAGS += -DSOC_J721E -DQNX_OS
CCFLAGS += -Wno-unused-function

define PINFO
PINFO DESCRIPTION=j721e cpsw9g driver
endef

#Add extra include path
EXTRA_SRCVPATH+=$(PROJECT_ROOT)/../src

LIBS +=:libti-remoteswitchcfg-client.a
LIBS +=:libti-remote-device-client.a
LIBS +=:enetphy.aa72fg
LIBS +=:enetsoc.aa72fg
LIBS +=:enet.aa72fg
LIBS +=:udma_apputils.aa72fg
LIBS +=:udma.aa72fg
LIBS +=:libtiudma-usr.a
LIBS +=:ti.osal.aa72fg
LIBS +=:sciclient.aa72fg
LIBS +=:ti.csl.aa72fg
LIBS +=:libtiipc-usr.a
LIBS +=:ti.csl.aa72fg

LDFLAGS += -M -Wl,-znow

include $(MKFILES_ROOT)/qtargets.mk

