ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

define PINFO
PINFO DESCRIPTION=TI Remote Device Framework User Library
endef

NAME = ti-remote-device-client
INSTALLDIR = usr/lib

#Add extra include path
EXTRA_INCVPATH+=$(REMOTE_DEVICE_PATH) $(PDK_INSTALL_PATH)

CCFLAGS += $(COMPILE_FLAGS) -DSOC_J721E -DQNX_OS
CCFLAGS += -fPIC
CCFLAGS += -Wno-unused-function

EXTRA_SRCVPATH += $(REMOTE_DEVICE_PATH)/client-rtos/framework/src

include $(MKFILES_ROOT)/qtargets.mk
